# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Encoding warnings and errors
EncNoDeclarationFrame=Vložený dokument nemá určenou znakovou sadu. Dokument se může zobrazovat odlišně, pokud bude zobrazen samostatně.
EncMetaUnsupported=Znaková sada HTML dokumentu určená značkou meta není podporována. Definice byla ignorována.
EncProtocolUnsupported=Znaková sada určená na úrovni přenosového protokolu není podporována. Definice byla ignorována.
EncMetaUtf16=Ve značce meta byla určena znaková sada UTF-16. Definice byla ignorována a bylo použito UTF-8.
EncMetaUserDefined=Pomocí značky meta byla určena znaková sada x-user-defined. Z důvodu kompatibility se záměrně špatně kódovanými staršími písmy došlo k interpretaci jako deklarace windows-1252. Stránka by měla být převedena do Unicode.

# The bulk of the messages below are derived from
# https://hg.mozilla.org/projects/htmlparser/file/1f633cef7de7/src/nu/validator/htmlparser/impl/ErrorReportingTokenizer.java
# which is available under the MIT license.

# Tokenizer errors
errGarbageAfterLtSlash=Neočekávané znaky po „</“.
errLtSlashGt=Nalezeno „</>“. Jedná se pravděpodobně o neescapovaný „<“ (správně escapováno jako „&lt;“) nebo chybně zapsanou koncovou značku.
errCharRefLacksSemicolon=Reference znaku není ukončena středníkem.
errNoDigitsInNCR=Číselná reference znaku neobsahuje žádné číslice.
errGtInSystemId=V systémovém identifikátoru nalezen znak „>“.
errGtInPublicId=Ve veřejném identifikátoru nalezen znak „>“.
errNamelessDoctype=Nalezen bezejmenný doctype.
errConsecutiveHyphens=Po sobě jdoucí pomlčky neukončují komentář. „--“ není povoleno uvnitř komentáře, ale např. „- -“ je.
errPrematureEndOfComment=Předčasné ukončení komentáře. Pro jeho ukončení používejte „-->“.
errBogusComment=Neplatný komentář.
errUnquotedAttributeLt=Uvnitř v uvozovkách neuzavřené hodnoty atributu nalezen znak „<“. Pravděpodobně chybí znak „>“ uzavírající značku.
errUnquotedAttributeGrave=Uvnitř v uvozovkách neuzavřené hodnoty atributu nalezen znak „`“. Pravděpodobně je použit chybný znak pro uvozovku.
errUnquotedAttributeQuote=Uvnitř v uvozovkách neuzavřené hodnoty atributu nalezena uvozovka. Pravděpodobně jsou spojené atributy nebo chybný dotaz v URL adrese.
errUnquotedAttributeEquals=Uvnitř v uvozovkách neuzavřené hodnoty atributu nalezen znak „=“. Pravděpodobně jsou spojené atributy nebo chybný dotaz v URL adrese.
errSlashNotFollowedByGt=Nalezeno lomítko, které není bezprostředně následováno znakem „>“.
errNoSpaceBetweenAttributes=Mezi atributy se nenachází žádná mezera.
errUnquotedAttributeStartLt=Na začátku v uvozovkách neuzavřené hodnoty atributu nalezen znak „<“. Pravděpodobně chybí znak „>“ uzavírající značku.
errUnquotedAttributeStartGrave=Na začátku v uvozovkách neuzavřené hodnoty atributu nalezen znak „`“. Pravděpodobně je použit chybný znak pro uvozovku.
errUnquotedAttributeStartEquals=Na začátku v uvozovkách neuzavřené hodnoty atributu nalezen znak „=“. Pravděpodobně se jedná o zatoulané rovnítko.
errAttributeValueMissing=Chybí hodnota atributu.
errBadCharBeforeAttributeNameLt=Očekáván název atributu, ale nalezen znak „<“. Pravděpodobně o něco dříve chybí znak „>“.
errEqualsSignBeforeAttributeName=Očekáván název atributu, ale nalezen znak „=“. Pravděpodobně chybí název atributu.
errBadCharAfterLt=Neplatný znak po znaku „<“. Pravděpodobně se jedná o neescapovaný znak „<“ (správně escapováno jako „&lt;“).
errLtGt=Nalezeno „<>“. Jedná se pravděpodobně o neescapovaný „<“ (správně escapováno jako „&lt;“) nebo chybně zapsanou koncovou značku.
errProcessingInstruction=Nalezeno „<?“. Pravděpodobně je použita procesní instrukce XML. (Procesní instrukce XML nejsou v HTML podporovány.)
errUnescapedAmpersandInterpretedAsCharacterReference=Řetězec následující za „&“ byl interpretován jako reference znaku. (Znak „&“ by měl být správně escapován jako „&amp;“.)
errNotSemicolonTerminated=Jmenná reference znaku nebyla ukončena středníkem. (Nebo by znak „&“ měl být escapován jako „&amp;“.)
errNoNamedCharacterMatch=Znak „&“ není počátkem reference znaku. (Znak „&“ by měl být správně escapován jako „&amp;“.)
errQuoteBeforeAttributeName=Očekáván název atributu, ale nalezena uvozovka. Pravděpodobně chybí znak „=“.
errLtInAttributeName=Nalezeno „<“ uvnitř názvu atributu. Pravděpodobně chybí znak „>“.
errQuoteInAttributeName=Nalezena uvozovka uvnitř názvu atributu. Pravděpodobně o něco dříve chybí odpovídající uvozovka.
errExpectedPublicId=Dosažen konec doctype bez uvedení veřejného identifikátoru.
errBogusDoctype=Neplatný doctype.
maybeErrAttributesOnEndTag=Koncová značka obsahuje atributy.
maybeErrSlashInEndTag=Zbloudilý znak „/“ na konci koncové značky.
errNcrNonCharacter=Reference znaku nereprezentuje skutečný znak.
errNcrSurrogate=Reference znaku reprezentuje surrogate.
errNcrControlChar=Reference znaku reprezentuje kontrolní znak.
errNcrCr=Číselná reference znaku reprezentuje „návrat vozíku“ (znak CR).
errNcrInC1Range=Číselná reference znaku reprezentuje kontrolní znak z rozsahu C1.
errEofInPublicId=Dosažen konec souboru uvnitř veřejného identifikátoru.
errEofInComment=Dosažen konec souboru uvnitř komentáře.
errEofInDoctype=Dosažen konec souboru uvnitř doctype.
errEofInAttributeValue=Dosažen konec souboru uvnitř hodnoty atributu. Značka ignorována.
errEofInAttributeName=Dosažen konec souboru uvnitř názvu atributu. Značka ignorována.
errEofWithoutGt=Dosažen konec souboru bez uzavření značky pomocí „>“. Značka ignorována.
errEofInTagName=Dosažen konec souboru při hledání názvu značky. Značka ignorována.
errEofInEndTag=Dosažen konec souboru uvnitř koncové značky. Značka ignorována.
errEofAfterLt=Dosažen konec souboru po otevření značky pomocí „<“.
errNcrOutOfRange=Reference znaku mimo povolený rozsah Unicode.
errNcrUnassigned=Reference znaku reprezentuje trvale nedefinovaný znak.
errDuplicateAttribute=Duplicitní atribut.
errEofInSystemId=Dosažen konec souboru uvnitř systémového identifikátoru.
errExpectedSystemId=Dosažen konec doctype bez uvedení systémového identifikátoru.
errMissingSpaceBeforeDoctypeName=Před názvem doctype chybí mezera.
errNcrZero=Reference znaku reprezentuje nulový znak.
errNoSpaceBetweenDoctypeSystemKeywordAndQuote=Mezi klíčovým slovem doctype „SYSTEM“ a uvozovkou chybí mezera.
errNoSpaceBetweenPublicAndSystemIds=Mezi veřejným a systémovým identifikátorem doctype chybí mezera.
errNoSpaceBetweenDoctypePublicKeywordAndQuote=Mezi klíčovým slovem doctype „PUBLIC“ a uvozovkou chybí mezera.

# Tree builder errors
errDeepTree=Strom dokumentu je příliš hluboký a bude zploštěn na hloubku 513 prvků.
errStrayStartTag2=Zbloudilá počáteční značka „%1$S“.
errStrayEndTag=Zbloudilá koncová značka „%1$S“.
errUnclosedElements=Nalezena koncová značka „%1$S“, ale další prvky jsou stále otevřeny.
errUnclosedElementsImplied=Prvek „%1$S“ implicitně uzavřen, ale další prvky jsou stále otevřeny.
errUnclosedElementsCell=Buňka tabulky byla implicitně uzavřena, ale další prvky jsou stále otevřeny.
errStrayDoctype=Zbloudilá definice doctype.
errAlmostStandardsDoctype=Režim téměř platných standardů. Očekáváno „<!DOCTYPE html>“.
errQuirkyDoctype=Režim zpětné kompatibility. Očekáváno „<!DOCTYPE html>“.
errNonSpaceInTrailer=Nalezen neprázdný znak za koncovou značkou „html“.
errNonSpaceAfterFrameset=Nalezen neprázdný znak za prvkem „frameset“.
errNonSpaceInFrameset=Nalezen neprázdný znak v prvku „frameset“.
errNonSpaceAfterBody=Nalezen neprázdný znak za koncovou značkou „body“.
errNonSpaceInColgroupInFragment=Nalezen neprázdný znak v prvku „colgroup“.
errNonSpaceInNoscriptInHead=Nalezen neprázdný znak v prvku „noscript“ v prvku „head“.
errFooBetweenHeadAndBody=Nalezen prvek „%1$S“ mezi prvky „head“ a „body“.
errStartTagWithoutDoctype=Nalezena počáteční značka bez uvedení doctype. Očekáváno „<!DOCTYPE html>“.
errNoSelectInTableScope=Prvek „select“ není povolen v prvku tabulky.
errStartSelectWhereEndSelectExpected=Nalezena počáteční značka „select“, ale byla očekávána koncová značka.
errStartTagWithSelectOpen=Nalezena počáteční značka „%1$S“, ale prvek „select“ je stále otevřen.
errBadStartTagInNoscriptInHead=Špatná počáteční značka „%1$S“ uvnitř „noscript“ v „head“.
errImage=Nalezena počáteční značka „image“.
errFooSeenWhenFooOpen2=Nalezena počáteční značka „%1$S“, ale předchozí prvek stejného typu je stále otevřen.
errHeadingWhenHeadingOpen=Záhlaví nemůže být potomkem jiného záhlaví.
errFramesetStart=Nalezena počáteční značka „frameset“.
errNoCellToClose=Nenalezena žádná buňka tabulky, kterou by šlo uzavřít.
errStartTagInTable=Počáteční značka „%1$S“ se nachází v prvku „table“.
errFormWhenFormOpen=Nalezena počáteční značka „form“, ale předchozí prvek „form“ je stále otevřen. Vnořené formuláře nejsou povoleny. Značka ignorována.
errTableSeenWhileTableOpen=Nalezena počáteční značka „table“, ale předchozí prvek „table“ je stále otevřen.
errStartTagInTableBody=V těle tabulky nalezena počáteční značka „%1$S“.
errEndTagSeenWithoutDoctype=Nalezena koncová značka bez uvedení doctype. Očekáváno „<!DOCTYPE html>“.
errEndTagAfterBody=Nalezena koncová značka, ale prvek „body“ už byl uzavřen.
errEndTagSeenWithSelectOpen=Nalezena koncová značka „%1$S“, ale prvek „select“ je stále otevřen.
errGarbageInColgroup=Neočekávané znaky v prvku „colgroup“.
errEndTagBr=Koncová značka „br“.
errNoElementToCloseButEndTagSeen=Prvek „%1$S“ není otevřen, ale byla nalezena koncová značka „%1$S“.
errHtmlStartTagInForeignContext=Počáteční značka HTML „%1$S“ je v cizím jmenném prostoru.
errNoTableRowToClose=Nenalezen žádný řádek tabulky, který by šlo uzavřít.
errNonSpaceInTable=Chybně umístěný neprázdný znak uvnitř tabulky.
errUnclosedChildrenInRuby=Neuzavřený potomek prvku „ruby“.
errStartTagSeenWithoutRuby=Počáteční značka „%1$S“ použita bez otevření prvku „ruby“.
errSelfClosing=Samouzavírací syntaxe („/>“) použita pro neprázdný prvek HTML. Lomítko ignorováno a značka považována za počáteční.
errNoCheckUnclosedElementsOnStack=Neukončený prvek v zásobníku.
errEndTagDidNotMatchCurrentOpenElement=Koncová značka „%1$S“ neodpovídá aktuálně otevřenému prvku „%2$S“.
errEndTagViolatesNestingRules=Koncová značka „%1$S“ porušuje pravidla vnoření.
errEndWithUnclosedElements=Koncová značka „%1$S“ je uvedena, ale byly nalezeny neuzavřené prvky.

EncXmlDecl=The character encoding of an HTML document was declared using the XML declaration syntax. This is non-conforming, and declaring the encoding using a meta tag at the start of the head part is more efficient.
EncMetaTooLate=A meta tag attempting to declare the character encoding declaration was found too late, and the encoding was guessed from content instead. The meta tag needs to be moved to the start of the head part of the document.
EncMetaTooLateFrame=A meta tag attempting to declare the character encoding declaration was found too late, and the encoding of the parent document was used instead. The meta tag needs to be moved to the start of the head part of the document.
EncMetaAfterHeadInKilobyte=The meta tag declaring the character encoding of the document should be moved to start of the head part of the document.
EncNoDecl=The character encoding of the document was not declared, so the encoding was guessed from content. The character encoding needs to be declared in the Content-Type HTTP header, using a meta tag, or using a byte order mark.
EncNoDeclPlain=The character encoding of the document was not declared, so the encoding was guessed from content. The character encoding needs to be declared in the Content-Type HTTP header or using a byte order mark.
EncMetaReplacement=A meta tag was used to declare an encoding that is a cross-site scripting hazard. The replacement encoding was used instead.
EncProtocolReplacement=An encoding that is a cross-site scripting hazard was declared on the transfer protocol level. The replacement encoding was used instead.
EncDetectorReload=The character encoding of the document was not declared, and the encoding was guessable from content only late. This caused the document to be reloaded. The character encoding needs to be declared in the Content-Type HTTP header, using a meta tag, or using a byte order mark.
EncDetectorReloadPlain=The character encoding of the document was not declared, and the encoding was guessable from content only late. This caused the document to be reloaded. The character encoding needs to be declared in the Content-Type HTTP header or using a byte order mark.
EncError=The byte stream was erroneous according to the character encoding that was declared. The character encoding declaration may be incorrect.
EncErrorFrame=The byte stream was erroneous according to the character encoding that was inherited from the parent document. The character encoding needs to be declared in the Content-Type HTTP header, using a meta tag, or using a byte order mark.
EncErrorFramePlain=The byte stream was erroneous according to the character encoding that was inherited from the parent document. The character encoding needs to be declared in the Content-Type HTTP header or using a byte order mark.
EncSpeculationFailMeta=The start of the document was reparsed, because there were non-ASCII characters before the meta tag that declared the encoding. The meta should be the first child of head without non-ASCII comments before.
EncSpeculationFailXml=The start of the document was reparsed, because there were non-ASCII characters in the part of the document that was unsuccessfully searched for a meta tag before falling back to the XML declaration syntax. A meta tag at the start of the head part should be used instead of the XML declaration syntax.
# The audience of the following message isn't the author of the document but other people debugging browser behavior.
EncSpeculationFail2022=The start of the document was reparsed, because ISO-2022-JP is an ASCII-incompatible encoding.
errNestedComment=Saw “<!--” within a comment. Probable cause: Nested comment (not allowed).
errAlmostStandardsDoctypeVerbose=This page is in Almost Standards Mode. Page layout may be impacted. For Standards Mode use “<!DOCTYPE html>”.
errQuirkyDoctypeVerbose=This page is in Quirks Mode. Page layout may be impacted. For Standards Mode use “<!DOCTYPE html>”.
errListUnclosedStartTags=Unclosed element or elements.
